using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ZSMusic.IDAL;
using ZSMusic.Model;

namespace ZSMusic.DAL.Platforms
{
    public class all : IMusic
    {



        public List<Model.Music> Search(string word, int page, int num)
        {
            List<Music> list = new List<Music>();
            list.AddRange(new kw().Search(word, page, num / 4));
            list.AddRange(new wy().Search(word, page, num / 4));
            list.AddRange(new kg().Search(word, page, num / 4));
            list.AddRange(new qq().Search(word, page, num / 4));
            List<Music> result = new List<Music>();
            foreach (Music item in list)
            {
                item.ToString();
                if (!result.Contains(item))
                {
                    result.Add(item);
                }
            }
            return result;
        }

        public List<Model.Music> SearchCollection(string id)
        {
            throw new NotImplementedException();
        }

        public List<Model.Music> SearchAlbum(string id)
        {
            throw new NotImplementedException();
        }

        public bool GetData(Model.Music m, string type = "all")
        {
            throw new NotImplementedException();
        }
    }
}
